Loading...
Searching...
No Matches
L4Re::Vfs Namespace Reference

Virtual file system for interfaces in POSIX libc. More...

## Data Structures

class | Be_file
| Boiler plate class for implementing an open file for L4Re::Vfs. More...
class | Be_file_system
| Boilerplate class for implementing a L4Re::Vfs::File_system. More...
class | Generic_file
| The common interface for an open POSIX file. More...
class | Directory
| Interface for a POSIX file that is a directory. More...
class | Regular_file
| Interface for a POSIX file that provides regular file semantics. More...
class | Special_file
| Interface for a POSIX file that provides special file semantics. More...
class | File
| The basic interface for an open POSIX file. More...
class | Mman
| Interface for POSIX memory management. More...
class | File_system
| Basic interface for an L4Re::Vfs file system. More...
class | Fs
| POSIX File-system related functionality. More...
class | Ops
| Interface for the POSIX backends of an application. More...

## Functions

L4Re::Vfs::Ops *vfs_ops | asm ("l4re_env_posix_vfs_ops")
| Reference to the applications L4Re::Vfs::Ops singleton.

## Detailed Description

Virtual file system for interfaces in POSIX libc.